diff --git a/doc/src/sgml/adminpack.sgml b/doc/src/sgml/adminpack.sgml
index 40cab29b247..28ace574dd5 100644
--- a/doc/src/sgml/adminpack.sgml
+++ b/doc/src/sgml/adminpack.sgml
@@ -22,8 +22,9 @@
   functions in <xref linkend="functions-admin-genfile-table"/>, which
   provide read-only access.)
   Only files within the database cluster directory can be accessed, unless the
-  user is a superuser or given privileges of one of the pg_read_server_files,
-  or pg_write_server_files roles, as appropriate for the function, but either a
+  user is a superuser or given privileges of one of the
+  <literal>pg_read_server_files</literal> or <literal>pg_write_server_files</literal>
+  roles, as appropriate for the function, but either a
   relative or absolute path is allowable.
  </para>
 
diff --git a/doc/src/sgml/archive-modules.sgml b/doc/src/sgml/archive-modules.sgml
index ee70e922490..37b1fc061ed 100644
--- a/doc/src/sgml/archive-modules.sgml
+++ b/doc/src/sgml/archive-modules.sgml
@@ -112,8 +112,8 @@ typedef bool (*ArchiveFileCB) (const char *file, const char *path);
     was successfully archived, which may include recycling or removing the
     original WAL file.  If <literal>false</literal> is returned, the server will
     keep the original WAL file and retry archiving later.
-    <literal>file</literal> will contain just the file name of the WAL file to
-    archive, while <literal>path</literal> contains the full path of the WAL
+    <replaceable>file</replaceable> will contain just the file name of the WAL file to
+    archive, while <replaceable>path</replaceable> contains the full path of the WAL
     file (including the file name).
    </para>
   </sect2>
diff --git a/doc/src/sgml/backup.sgml b/doc/src/sgml/backup.sgml
index 73a774d3d7f..4eab6411a4e 100644
--- a/doc/src/sgml/backup.sgml
+++ b/doc/src/sgml/backup.sgml
@@ -668,9 +668,10 @@ test ! -f /mnt/server/archivedir/00000001000000A900000065 &amp;&amp; cp pg_wal/0
    <para>
     If the archive function emits an <literal>ERROR</literal> or
     <literal>FATAL</literal>, the archiver process aborts and gets restarted by
-    the postmaster.  If you are archiving via shell command, FATAL is emitted if
-    the command is terminated by a signal (other than
-    <systemitem>SIGTERM</systemitem> that is used as part of a server shutdown)
+    the postmaster.  If you are archiving via shell command,
+    <literal>FATAL</literal> is emitted if the command is terminated by a signal
+    (other than <systemitem>SIGTERM</systemitem>
+    that is used as part of a server shutdown)
     or an error by the shell with an exit status greater than 125 (such as
     command not found).  In such cases, the failure is not reported in
     <xref linkend="pg-stat-archiver-view"/>.
@@ -872,8 +873,8 @@ test ! -f /mnt/server/archivedir/00000001000000A900000065 &amp;&amp; cp pg_wal/0
    <listitem>
     <para>
      Connect to the server (it does not matter which database) as a user with
-     rights to run pg_backup_start (superuser, or a user who has been granted
-     EXECUTE on the function) and issue the command:
+     rights to run <function>pg_backup_start</function> (superuser,
+     or a user who has been granted EXECUTE on the function) and issue the command:
 <programlisting>
 SELECT pg_backup_start(label => 'label', fast => false);
 </programlisting>
diff --git a/doc/src/sgml/basebackup-to-shell.sgml b/doc/src/sgml/basebackup-to-shell.sgml
index 85868db3c15..3d5496f692f 100644
--- a/doc/src/sgml/basebackup-to-shell.sgml
+++ b/doc/src/sgml/basebackup-to-shell.sgml
@@ -12,9 +12,9 @@
   called <literal>shell</literal>. This makes it possible to run
   <literal>pg_basebackup --target=shell</literal> or, depending on how this
   module is configured,
-  <literal>pg_basebackup --target=shell:DETAIL_STRING</literal>, and cause
-  a server command chosen by the server administrator to be executed for
-  each tar archive generated by the backup process. The command will receive
+  <literal>pg_basebackup --target=shell:<replaceable>DETAIL_STRING</replaceable></literal>,
+  and cause a server command chosen by the server administrator to be executed
+  for each tar archive generated by the backup process. The command will receive
   the contents of the archive via standard input.
  </para>
 
diff --git a/doc/src/sgml/ref/alter_publication.sgml b/doc/src/sgml/ref/alter_publication.sgml
index 3e338f4cc5d..3a74973da01 100644
--- a/doc/src/sgml/ref/alter_publication.sgml
+++ b/doc/src/sgml/ref/alter_publication.sgml
@@ -121,7 +121,7 @@ ALTER PUBLICATION <replaceable class="parameter">name</replaceable> RENAME TO <r
       with different column lists is not supported. So, changing the column
       lists of the tables being subscribed could cause inconsistency of column
       lists among publications, in which case <command>ALTER PUBLICATION</command>
-      will be successful but later the WalSender on the publisher or the
+      will be successful but later the walsender on the publisher or the
       subscriber may throw an error. In this scenario, the user needs to
       recreate the subscription after adjusting the column list or drop the
       problematic publication using
diff --git a/doc/src/sgml/ref/psql-ref.sgml b/doc/src/sgml/ref/psql-ref.sgml
index 65bb0a6a3f3..02fdb12dc77 100644
--- a/doc/src/sgml/ref/psql-ref.sgml
+++ b/doc/src/sgml/ref/psql-ref.sgml
@@ -4625,10 +4625,10 @@ testdb=&gt; \set PROMPT1 '%[%033[1;33;40m%]%n@%/%R%[%033[0m%]%# '
     and SQL object names in many (by no means all) contexts.  For example,
     at the start of a command, typing <literal>ins</literal> and pressing
     TAB will fill in <literal>insert into </literal>.  Then, typing a few
-    characters of a table or schema name and pressing TAB will fill in the
-    unfinished name, or offer a menu of possible completions when there's
-    more than one.  (Depending on the library in use, you may need to
-    press TAB more than once to get a menu.)
+    characters of a table or schema name and pressing <literal>TAB</literal>
+    will fill in the unfinished name, or offer a menu of possible completions
+    when there's more than one.  (Depending on the library in use, you may need to
+    press <literal>TAB</literal> more than once to get a menu.)
     </para>
 
     <para>
@@ -4657,7 +4657,7 @@ $endif
      of <application>psql</application>.  This prevents tab completion,
      use or recording of command line history, and editing of multi-line
      commands.  It is particularly useful when you need to copy-and-paste
-     text that contains TAB characters.
+     text that contains <literal>TAB</literal> characters.
     </para>
    </refsect3>
   </refsect2>
